> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invitation for case ID

> Retrieves the invitation associated with a case.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /invitation/case/{caseId}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /invitation/case/{caseId}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case that the invitation is attached to.
    get:
      tags:
        - Candidate onboarding
      summary: Get invitation for case ID
      description: Retrieves the invitation associated with a case.
      operationId: get-invitation-case-caseId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  invitation:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The unique identifier of the case invitation.
                      email:
                        type: string
                      givenName:
                        type: string
                      familyName:
                        type: string
                      dob:
                        type: string
                        format: date
                      invitationToken:
                        type: string
                      invitationStatusId:
                        $ref: '#/components/schemas/InvitationStatusID'
                      packageId:
                        type: string
                      expiresStamp:
                        type: string
                        format: date-time
                        example: '2024-08-20T07:00:00.000+00:00'
                      deletedStamp:
                        type: string
                        format: date-time
                        example: '2024-08-14T14:17:01.000+00:00'
                      completedStamp:
                        type: string
                        format: date-time
                        example: '2024-08-14T14:17:01.000+00:00'
                      crStamp:
                        type: string
                        format: date-time
                        example: '2024-08-14T14:17:00.000+00:00'
                      modStamp:
                        type: string
                        format: date-time
                        example: '2024-08-14T14:17:01.000+00:00'
              examples:
                Example 1:
                  value:
                    invitation:
                      id: 03c8ee25-0d4c-4a45-8030-456ef96e6513
                      email: jackwilliams@example.com
                      invitationToken: 1238ee25-4a51-ab7f-8030-456dd96d4321
                      invitationStatusId: d1962405-dd97-48f2-bede-530c2895481f
                      packageId: 7e32983c-1ea5-4271-9832-231a51c740be
                      givenName: Jack
                      familyName: Williams
                      expiresStamp: '2022-04-28T06:59:59.000+00:00'
                      crStamp: '2022-04-13T15:26:10.000+00:00'
                      completedStamp: '2022-04-13T15:45:24.000+00:00'
                      modStamp: '2022-07-01T13:11:02.000+00:00'
        '403':
          description: Forbidden
        '404':
          description: No invitation exists for the given `caseId`.
          content: {}
        '500':
          description: Internal Server Error
      security:
        - JWT: []
components:
  schemas:
    InvitationStatusID:
      title: InvitationStatusID
      type: string
      enum:
        - 3f5e6898-6641-4685-8ee0-1363b7e10c98
        - b5af27f7-8a03-4820-b2bd-82587dcacf5b
        - d1962405-dd97-48f2-bede-530c2895481f
        - 0f6acacc-71c4-43ec-80fa-941ff71c0c16
      description: >-
        The status ID of a case invitation. See [Invitation
        status](docs/reference/invitation-status.md) for more details about each
        possible status.


        - pending: 3f5e6898-6641-4685-8ee0-1363b7e10c98

        - expired: b5af27f7-8a03-4820-b2bd-82587dcacf5b

        - completed: d1962405-dd97-48f2-bede-530c2895481f

        - cancelled: 0f6acacc-71c4-43ec-80fa-941ff71c0c16 
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````